Index: cards/MuonCollider/MuonColliderDet_JetReco.tcl
===================================================================
--- cards/MuonCollider/MuonColliderDet_JetReco.tcl	(revision d631475df67d5ca97d4365a0add876e8ba352532)
+++ cards/MuonCollider/MuonColliderDet_JetReco.tcl	(revision e01b141a5725d01b83b2ee083eefd1dc4b43b878)
@@ -390,5 +390,19 @@
     set Beta 1.0
     set Gamma 1.0
-    set JetPTMin 20.0
+
+    set ComputeNsubjettiness 1
+    set AxisMode 4
+
+    set ComputeSoftDrop 1
+    set BetaSoftDrop 0.0
+    set SymmetryCutSoftDrop 0.1
+    set R0SoftDrop 0.2
+
+    set JetPTMin 20.0
+
+
+
+
+
 }
 #R05
@@ -401,4 +415,11 @@
     set Beta 1.0
     set Gamma 1.0
+    set ComputeNsubjettiness 1
+    set AxisMode 4
+
+    set ComputeSoftDrop 1
+    set BetaSoftDrop 0.0
+    set SymmetryCutSoftDrop 0.1
+    set R0SoftDrop 0.5
     set JetPTMin 20.0
 }
@@ -412,4 +433,11 @@
     set Beta 1.0
     set Gamma 1.0
+    set ComputeNsubjettiness 1
+    set AxisMode 4
+
+    set ComputeSoftDrop 1
+    set BetaSoftDrop 0.0
+    set SymmetryCutSoftDrop 0.1
+    set R0SoftDrop 0.7
     set JetPTMin 20.0
 }
@@ -423,4 +451,11 @@
     set Beta 1.0
     set Gamma 1.0
+    set ComputeNsubjettiness 1
+    set AxisMode 4
+
+    set ComputeSoftDrop 1
+    set BetaSoftDrop 0.0
+    set SymmetryCutSoftDrop 0.1
+    set R0SoftDrop 1.0
     set JetPTMin 20.0
 }
@@ -434,4 +469,11 @@
     set Beta 1.0
     set Gamma 1.0
+    set ComputeNsubjettiness 1
+    set AxisMode 4
+
+    set ComputeSoftDrop 1
+    set BetaSoftDrop 0.0
+    set SymmetryCutSoftDrop 0.1
+    set R0SoftDrop 1.2
     set JetPTMin 20.0
 }
@@ -445,4 +487,12 @@
     set Beta 1.0
     set Gamma 1.0
-    set JetPTMin 20.0
-}
+    set ComputeNsubjettiness 1
+    set AxisMode 4
+
+    set ComputeSoftDrop 1
+    set BetaSoftDrop 0.0
+    set SymmetryCutSoftDrop 0.1
+    set R0SoftDrop 1.5
+
+    set JetPTMin 20.0
+}
Index: cards/MuonCollider/MuonColliderDet_JetSmearing_1500.tcl
===================================================================
--- cards/MuonCollider/MuonColliderDet_JetSmearing_1500.tcl	(revision d631475df67d5ca97d4365a0add876e8ba352532)
+++ 	(revision )
@@ -1,152 +1,0 @@
-module MomentumSmearing JetMomentumSmearing_VLCR05N2 {
-    set InputArray  FastJetFinderVLC_R05_N2/VLCjetsR05N2
-    set OutputArray JER_VLCjetsR05N2
-
-     # Resolution given in dpT/pT.
-    set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }
-}
-module MomentumSmearing JetMomentumSmearing_VLCR05N3 {                                       
- set InputArray  FastJetFinderVLC_R05_N3/VLCjetsR05N3                                        
-  set OutputArray JER_VLCjetsR05N3                                                           
-  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
-}                                                                                            
-module MomentumSmearing JetMomentumSmearing_VLCR05N4 {                                       
- set InputArray  FastJetFinderVLC_R05_N4/VLCjetsR05N4                                        
-  set OutputArray JER_VLCjetsR05N4                                                           
-  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
-}                                                                                            
-module MomentumSmearing JetMomentumSmearing_VLCR05N5 {                                       
- set InputArray  FastJetFinderVLC_R05_N5/VLCjetsR05N5                                        
-  set OutputArray JER_VLCjetsR05N5                                                           
-  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
-}                                                                                            
-module MomentumSmearing JetMomentumSmearing_VLCR05N6 {                                       
- set InputArray  FastJetFinderVLC_R05_N6/VLCjetsR05N6                                        
-  set OutputArray JER_VLCjetsR05N6                                                           
-  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
-}                                                                                            
-module MomentumSmearing JetMomentumSmearing_VLCR05_inclusive {                               
- set InputArray  FastJetFinderVLC_R05_inclusive/VLCjetsR05_inclusive                        
-  set OutputArray JER_VLCjetsR05_inclusive                                                   
-  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
-}                                                                                            
-module MomentumSmearing JetMomentumSmearing_VLCR07N2 {                                       
- set InputArray  FastJetFinderVLC_R07_N2/VLCjetsR07N2                                        
-  set OutputArray JER_VLCjetsR07N2                                                           
-  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
-}                                                                                            
-module MomentumSmearing JetMomentumSmearing_VLCR07N3 {                                       
- set InputArray  FastJetFinderVLC_R07_N3/VLCjetsR07N3                                        
-  set OutputArray JER_VLCjetsR07N3                                                           
-  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
-}                                                                                            
-module MomentumSmearing JetMomentumSmearing_VLCR07N4 {                                       
- set InputArray  FastJetFinderVLC_R07_N4/VLCjetsR07N4                                        
-  set OutputArray JER_VLCjetsR07N4                                                           
-  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
-}                                                                                            
-module MomentumSmearing JetMomentumSmearing_VLCR07N5 {                                       
- set InputArray  FastJetFinderVLC_R07_N5/VLCjetsR07N5                                        
-  set OutputArray JER_VLCjetsR07N5                                                           
-  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
-}                                                                                            
-module MomentumSmearing JetMomentumSmearing_VLCR07N6 {                                       
- set InputArray  FastJetFinderVLC_R07_N6/VLCjetsR07N6                                        
-  set OutputArray JER_VLCjetsR07N6                                                           
-  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
-}                                                                                            
-module MomentumSmearing JetMomentumSmearing_VLCR07_inclusive {                               
- set InputArray  FastJetFinderVLC_R07_inclusive/VLCjetsR07_inclusive                        
-  set OutputArray JER_VLCjetsR07_inclusive                                                   
-  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
-}                                                                                            
-module MomentumSmearing JetMomentumSmearing_VLCR10N2 {                                       
- set InputArray  FastJetFinderVLC_R10_N2/VLCjetsR10N2                                        
-  set OutputArray JER_VLCjetsR10N2                                                           
-  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
-}                                                                                            
-module MomentumSmearing JetMomentumSmearing_VLCR10N3 {                                       
- set InputArray  FastJetFinderVLC_R10_N3/VLCjetsR10N3                                        
-  set OutputArray JER_VLCjetsR10N3                                                           
-  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
-}                                                                                            
-module MomentumSmearing JetMomentumSmearing_VLCR10N4 {                                       
- set InputArray  FastJetFinderVLC_R10_N4/VLCjetsR10N4                                        
-  set OutputArray JER_VLCjetsR10N4                                                           
-  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
-}                                                                                            
-module MomentumSmearing JetMomentumSmearing_VLCR10N5 {                                       
- set InputArray  FastJetFinderVLC_R10_N5/VLCjetsR10N5                                        
-  set OutputArray JER_VLCjetsR10N5                                                           
-  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
-}                                                                                            
-module MomentumSmearing JetMomentumSmearing_VLCR10N6 {                                       
- set InputArray  FastJetFinderVLC_R10_N6/VLCjetsR10N6                                        
-  set OutputArray JER_VLCjetsR10N6                                                           
-  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
-}                                                                                            
-module MomentumSmearing JetMomentumSmearing_VLCR10_inclusive {                               
- set InputArray  FastJetFinderVLC_R10_inclusive/VLCjetsR10_inclusive                        
-  set OutputArray JER_VLCjetsR10_inclusive                                                   
-  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
-}                                                                                            
-module MomentumSmearing JetMomentumSmearing_VLCR12N2 {                                       
- set InputArray  FastJetFinderVLC_R12_N2/VLCjetsR12N2                                        
-  set OutputArray JER_VLCjetsR12N2                                                           
-  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
-}                                                                                            
-module MomentumSmearing JetMomentumSmearing_VLCR12N3 {                                       
- set InputArray  FastJetFinderVLC_R12_N3/VLCjetsR12N3                                        
-  set OutputArray JER_VLCjetsR12N3                                                           
-  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
-}                                                                                            
-module MomentumSmearing JetMomentumSmearing_VLCR12N4 {                                       
- set InputArray  FastJetFinderVLC_R12_N4/VLCjetsR12N4                                        
-  set OutputArray JER_VLCjetsR12N4                                                           
-  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
-}                                                                                            
-module MomentumSmearing JetMomentumSmearing_VLCR12N5 {                                       
- set InputArray  FastJetFinderVLC_R12_N5/VLCjetsR12N5                                        
-  set OutputArray JER_VLCjetsR12N5                                                           
-  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
-}                                                                                            
-module MomentumSmearing JetMomentumSmearing_VLCR12N6 {                                       
- set InputArray  FastJetFinderVLC_R12_N6/VLCjetsR12N6                                        
-  set OutputArray JER_VLCjetsR12N6                                                           
-  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
-}                                                                                            
-module MomentumSmearing JetMomentumSmearing_VLCR12_inclusive {                               
- set InputArray  FastJetFinderVLC_R12_inclusive/VLCjetsR12_inclusive                        
-  set OutputArray JER_VLCjetsR12_inclusive                                                   
-  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
-}                                                                                            
-module MomentumSmearing JetMomentumSmearing_VLCR15N2 {                                       
- set InputArray  FastJetFinderVLC_R15_N2/VLCjetsR15N2                                        
-  set OutputArray JER_VLCjetsR15N2                                                           
-  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
-}                                                                                            
-module MomentumSmearing JetMomentumSmearing_VLCR15N3 {                                       
- set InputArray  FastJetFinderVLC_R15_N3/VLCjetsR15N3                                        
-  set OutputArray JER_VLCjetsR15N3                                                           
-  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
-}                                                                                            
-module MomentumSmearing JetMomentumSmearing_VLCR15N4 {                                       
- set InputArray  FastJetFinderVLC_R15_N4/VLCjetsR15N4                                        
-  set OutputArray JER_VLCjetsR15N4                                                           
-  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
-}                                                                                            
-module MomentumSmearing JetMomentumSmearing_VLCR15N5 {                                       
- set InputArray  FastJetFinderVLC_R15_N5/VLCjetsR15N5                                        
-  set OutputArray JER_VLCjetsR15N5                                                           
-  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
-}                                                                                            
-module MomentumSmearing JetMomentumSmearing_VLCR15N6 {                                       
- set InputArray  FastJetFinderVLC_R15_N6/VLCjetsR15N6                                        
-  set OutputArray JER_VLCjetsR15N6                                                           
-  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
-}                                                                                            
-module MomentumSmearing JetMomentumSmearing_VLCR15_inclusive {                               
- set InputArray  FastJetFinderVLC_R15_inclusive/VLCjetsR15_inclusive                        
-  set OutputArray JER_VLCjetsR15_inclusive                                                   
-  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.01 ) + (abs(eta) >= 0.76 ) * (0.05) }                                                              
-}                                                 
